Get incoming webhook by ID
curl --request GET \
--url https://api.onset.io/v1/incoming-webhooks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onset.io/v1/incoming-webhooks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onset.io/v1/incoming-webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "iw_01hf8k4x7n9m2p3q5r8s9t0v1w",
"name": "New release trigger",
"type": "RELEASE",
"isEnabled": true,
"url": "https://hooks.onset.io/v1/XXXX/XXX",
"lastTriggeredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"details": {}
}Incoming Webhooks
Get incoming webhook by ID
Retrieve a specific incoming webhook by its ID
GET
/
incoming-webhooks
/
{id}
Get incoming webhook by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Incoming webhook ID
Response
Incoming webhook retrieved successfully
Unique incoming webhook identifier
Example:
"iw_01hf8k4x7n9m2p3q5r8s9t0v1w"
Incoming webhook name
Example:
"New release trigger"
Incoming webhook type
Available options:
RELEASE, MILESTONE, SUBSCRIBER Example:
"RELEASE"
Indicates whether the incoming webhook is enabled
Example:
true
Incoming webhook URL endpoint
Example:
"https://hooks.onset.io/v1/XXXX/XXX"
Timestamp of the last successful trigger
Creation timestamp
Last update timestamp
Was this page helpful?

